%define upstream_name    Log-Fu
%define upstream_version 0.30

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Simplified and developer-friendly screen logging
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Log/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:     perl-Log-Fu-0.30-fix-test.patch

BuildRequires: perl(Constant::Generate) >= 0.40.0
BuildRequires: perl(Dir::Self)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
This is a simple interface for console logging. It provides a few
functions, 'log_info', 'log_debug', 'log_warn', 'log_crit', and 'log_err'.
They all take strings as arguments, and can take as many arguments as you
so desire (so any concatenation is done for you).

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%patch0 -p1 -b .fix-test

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Mon Oct 21 2013 umeabot <umeabot> 0.300.0-3.mga4
+ Revision: 538488
- Mageia 4 Mass Rebuild

* Mon Sep 30 2013 sander85 <sander85> 0.300.0-2.mga4
+ Revision: 489763
- Fix test

* Sun Jan 13 2013 umeabot <umeabot> 0.300.0-2.mga3
+ Revision: 369222
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Feb 21 2012 kharec <kharec> 0.300.0-1.mga2
+ Revision: 211664
- update to 0.30

* Fri Dec 16 2011 kharec <kharec> 0.250.0-1.mga2
+ Revision: 182488
- imported package perl-Log-Fu


* Fri Dec 16 2011 cpan2dist 0.25-1mga
- initial mageia release, generated with cpan2dist
